Subject: RE: Size matters was Re: notification charter proposal

From: "Rainer Gerhards" <[email-masked]>
Date: Wed, 23 Nov 2005 09:16:41 +0100

A comment from a lurker on this list. I have been working on syslog for
the past 3 years and been through the size discussion several times. I
have NOT read all documents of the NETCONF WG.

> I raised size because there are references appearing on the 
> list calling for
> something syslog-like and size has been an issue with syslog 
> that has not been
> satisfactorily resolved.  syslog unearthed two contrasting 
> viewpoints, one that
> messages should not exceed 2k or even 1k, the other that 64k 
> should be supported
> (for at least one application).

In my point of view, this WG is in a far better situation than the
syslog WG. The core problem with syslog is that it is strictly simplex,
without any way that a receiver could tell the sender anything. So in
syslog, there is no way a sender knows what size of message the receiver
can process. If that would be known, the issue would be considerably
less complex, as the sender could take appropriate measures (like
stripping out non-essential information, sending multiple notifications,
...).

If my understanding of NETCONF is correct, NETCONF has such
capabilities. As such, it should be in a much better position to handle
the size issue.

Rainer Gerhards

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>

---

From: "Hector Trevino \(htrevino\)" <[email-masked]>
Date: Mon, 28 Nov 2005 09:26:10 -0800

I agree w/what you're saying and I wasn't suggesting setting max.
message sizes. Also, just talking about notifications. 
Hector

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Balazs Lengyel
Sent: Friday, November 25, 2005 1:22 AM
Cc: [email-masked]
Subject: Re: Size matters was Re: notification charter proposal

Please dont set a max message size generally for netconf !!!

For me one attractive usage of netconf would be to retrieve the complete
configuration of a node. If we set a mandatory max-size for all netconf
messages (as opposed to setting it
  for notifications only) this usage would become impossible. For big
nodes it is anyone's guess what the size of a full configuration can be.
We have nodes that contain the data of 10 million subscribers.

Balazs Lengyel                       Ericsson Hungary Ltd.

Hector Trevino (htrevino) wrote:
> 
> I agree that this is part of the protocol definition but I see it as 
> outside the scope of the charter definition. I'd assume none of this 
> will be included in the charter.
> 
> 
> I don't think the spec should set a hard limit on the max message
size.
> I agree w/Juergen about not limiting the protocol but rather allowing 
> implementations to advertise their max message sizes (if one is set). 
> It may be better to say something like app layer message segmentation 
> is not allowed. But recommendations/guidelines for max message sizes 
> should be provided in the spec.
> 
> Hector
> 
>     
>  
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Andy Bierman
> Sent: Tuesday, November 22, 2005 4:01 PM
> To: Tom Petch
> Cc: [email-masked]
> Subject: Re: Size matters was Re: notification charter proposal
> 
> Tom Petch wrote:
> 
> 
>><inline>
>>Tom Petch
>>----- Original Message -----
>>From: "Andy Bierman" <[email-masked]>
>>To: <[email-masked]>
>>Cc: "Tom Petch" <[email-masked]>; <[email-masked]>
>>Sent: Tuesday, November 22, 2005 4:41 PM
>>Subject: Re: notification charter proposal <snip>> >
>> 
>>
>>
>>>That would be fine with me.
>>>I brought up the issue because the problem is obviously worse for 
>>>notifications than RPCs, because the lack of an application layer ACK

>>>(which <rpc-reply> effectively is).
>>>
>>>The reason for setting a minimum is to allow NMS developers to code 
>>>to
> 
> 
>>>some reasonable minimum.  The market will help keep things somewhat 
>>>reasonable, but we could see a range from 1500 to 64K as the minimum.
> 
> 
>>>Is that OK?
>>>
>>>Andy
>>>
>>>   
>>>
>>
>>I raised size because there are references appearing on the list 
>>calling for something syslog-like and size has been an issue with 
>>syslog that has not been satisfactorily resolved.  syslog unearthed 
>>two
> 
> 
>>contrasting viewpoints, one that messages should not exceed 2k or even

>>1k, the other that 64k should be supported (for at least one
> 
> application).
> 
>>Netconf is more virgin territory than syslog is but I do believe is 
>>setting a Maximum size, at least to start with; but I do not see this 
>>as anything to do with the charter:-).
>> 
>>
> 
> 
> This is part of protocol syntax and semantics.
> 
> IMO, the best approach is to have the NC peer advertise its 
> max-message-size.  The number should be an PositiveInteger, so that 
> would set a theoretical max-message-size of 4G-1 bytes.
> 
> 
> A separate issue is whether there is a minimum an NC peer can set this

> parameter to, somewhat higher than zero.  I don't see any consensus 
> yet on how much higher to set the minimum.
> 
> 
> Another  important issue:  Can an NC peer (optionally?) send its 
> max-message-size in the <hello> exchange?  This doesn't mean the other

> NC peer has to do anything with the value, it just provides a good 
> guess at the number instead of trying
> various message sizes to see what breaks.   Advertising a
> max-message-size doesn't mean you won't get messages greater than that

> size.
> 
> 
> 
>>Tom Petch
>>
>>
>> 
>>
> 
> 
> Andy
> 
> 
>> 
>>
> 
> 
> 
> --
> to unsubscribe send a message to [email-masked] with the

> word 'unsubscribe' in a single line as the message text body.
> to unsubscribe send a message to [email-masked] with the

> word 'unsubscribe' in a single line as the message text body.

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>